REM Code from original GOLD.EXE
@ECHO OFF
:START
IF "%1" == "" GOTO SPECIFY
IF "%1" == "e" GOTO TEST
IF "%1" == "E" GOTO TEST
IF "%1" == "c" GOTO TEST
IF "%1" == "C" GOTO TEST
IF "%1" == "t" GOTO TEST
IF "%1" == "T" GOTO TEST
IF "%1" == "v" GOTO VTEST
IF "%1" == "V" GOTO VTEST
GOTO SPECIFY
:TEST
IF "%2" == "i" GOTO RUNEGA
IF "%2" == "I" GOTO RUNEGA
IF "%2" == "a" GOTO RUNEGA
IF "%2" == "A" GOTO RUNEGA
IF "%2" == "r" GOTO RUNEGA
IF "%2" == "R" GOTO RUNEGA
IF "%2" == "" GOTO RUNEGA
GOTO SPECIFY
:VTEST
IF "%2" == "i" GOTO RUNVGA
IF "%2" == "I" GOTO RUNVGA
IF "%2" == "a" GOTO RUNVGA
IF "%2" == "A" GOTO RUNVGA
IF "%2" == "r" GOTO RUNVGA
IF "%2" == "R" GOTO RUNVGA
IF "%2" == ""  GOTO RUNVGA
GOTO SPECIFY
:RUNEGA
%1ga_8086 %2
GOTO END
:RUNVGA
ega_8086 %2
GOTO END
:SPECIFY
CLS
ECHO.
ECHO                              Gold Video Card Choice
ECHO.
ECHO       C ... CGA
ECHO       E ... EGA
ECHO       V ... VGA 16 color
ECHO       T ... Tandy 16 color
ECHO.
ECHO       Please press C, E, V or T.
CHOICE /C:CEVT /N
IF ERRORLEVEL 4 GOTO TGA
IF ERRORLEVEL 3 GOTO EGA
IF ERRORLEVEL 2 GOTO EGA
IF ERRORLEVEL 1 GOTO CGA
IF ERRORLEVEL 0 GOTO SPECIFY
:CGA
set vcard=c
GOTO SCARD
:EGA
set vcard=e
GOTO SCARD
:TGA
set vcard=t
:SCARD
REM CLS
ECHO.
ECHO                              Gold Sound Card Choice
ECHO.
ECHO       R ... Roland
ECHO       A ... Adlib
ECHO       I ... Internal Speaker
ECHO.
ECHO       Please press R, A or I.
CHOICE /C:RAI /N
IF ERRORLEVEL 3 GOTO INT
IF ERRORLEVEL 2 GOTO ADL
IF ERRORLEVEL 1 GOTO ROL
IF ERRORLEVEL 0 GOTO SCARD
:INT
set scard=i
GOTO RUNIT
:ADL
set scard=a
GOTO RUNIT
:ROL
set scard=r
:RUNIT
%vcard%ga_8086 %scard%
:END
